| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Rndm::BreitWigner Class Reference

`#include <RndmGenerators.h>`

Inheritance diagram for Rndm::BreitWigner:

[legend]
Collaboration diagram for Rndm::BreitWigner:

[legend]
List of all members.

## Detailed Description

Parameters for the BreitWigner distributed random number generation.

Definition at line 89 of file RndmGenerators.h.

## Public Member Functions
| BreitWigner (double m, double g)
| Standard Constructor.
virtual | ~BreitWigner ()
| Standard Destructor.
double | mean () const
| Access mean value of the distribution.
double | gamma () const
| Access width of the distribution.
virtual IRndmGen::Param * | clone () const
| Clone parameters.
## Static Public Member Functions
static const InterfaceID & | typeID ()
| Identifier for factory.
## Protected Attributes
double | m_mean
| Mean and Gamma parameter of the Breit-Wigner distribution.
double | m_gamma
## Friends
class | Generator< BreitWigner >

## Constructor & Destructor Documentation

Rndm::BreitWigner::BreitWigner | ( | double | m,
|  | double | g |
| ) |  |  | `[inline]`

Standard Constructor.

Definition at line 96 of file RndmGenerators.h.

Referenced by clone().

    00097     : IRndmGen::Param(IID_IRndmBreitWigner), m_mean(m), m_gamma(g) { }

virtual Rndm::BreitWigner::~BreitWigner | ( |  | ) | `[inline, virtual]`

Standard Destructor.

Definition at line 99 of file RndmGenerators.h.

    00099 { }

## Member Function Documentation

double Rndm::BreitWigner::mean | ( |  | ) | const`[inline]`

Access mean value of the distribution.

Definition at line 101 of file RndmGenerators.h.

References m_mean.

    00101 { return m_mean;                }

double Rndm::BreitWigner::gamma | ( |  | ) | const`[inline]`

Access width of the distribution.

Definition at line 103 of file RndmGenerators.h.

References m_gamma.

    00103 { return m_gamma;               }

static const InterfaceID& Rndm::BreitWigner::typeID | ( |  | ) | `[inline, static]`

Identifier for factory.

Definition at line 105 of file RndmGenerators.h.

References IID_IRndmBreitWigner.

    00105 { return IID_IRndmBreitWigner;  }

virtual IRndmGen::Param* Rndm::BreitWigner::clone | ( |  | ) | const`[inline, virtual]`

Clone parameters.

Implements IRndmGen::Param.

Definition at line 107 of file RndmGenerators.h.

References BreitWigner(), m_gamma, and m_mean.

    00107                                             {
    00108       return new BreitWigner(m_mean, m_gamma);
    00109     }

## Friends And Related Function Documentation

friend class Generator< BreitWigner >`[friend]`

Definition at line 90 of file RndmGenerators.h.

## Member Data Documentation

double Rndm::BreitWigner::m_mean`[protected]`

Mean and Gamma parameter of the Breit-Wigner distribution.

Definition at line 93 of file RndmGenerators.h.

Referenced by clone(), and mean().

double Rndm::BreitWigner::m_gamma`[protected]`

Definition at line 93 of file RndmGenerators.h.

Referenced by clone(), and gamma().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/RndmGenerators.h